Subject: Re: Booting w/out BOOTP and still have IPv4 comeup.

From: Dan Malek <[email-masked]>
Date: Mon, 20 Dec 1999 14:20:26 -0500

Wohlgemuth, Jason wrote:

> Just a quick question.  I have linux going on an embedded MPC860.  The
> application that is running on it uses sockets but when I disable bootp all
> the socket calls fail since the network has not been configured properly.

I have only been able to do this by using 'ifconfig'.  I don't
know the details, but simply setting the IP address like this
doesn't seem to invoke some initialization functions.  Using
ifconfig after the system boots works just fine.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/